com.holonplatform.vaadin.flow.components.builders

## Interface HasDataProviderConfigurator<T,C extends HasDataProviderConfigurator<T,C>>

- Type Parameters:
    `T` - Data item type
    `C` - Concrete configurator type
  All Superinterfaces:
    HasItemsConfigurator<T,C>
  All Known Subinterfaces:
    BeanListingBuilder<T>, HasBeanDatastoreDataProviderConfigurator<T,D,C>, HasDatastoreDataProviderConfigurator<ITEM,D,C>, HasPropertyBoxDatastoreDataProviderConfigurator<D,C>, HasPropertySetDatastoreDataProviderConfigurator<D,C>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ItemOptionsModeMultiSelectInputConfigurator<T,ITEM,D,C>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeMultiSelectInputBuilder.PropertyOptionsModeMultiSelectInputConfigurator<T,D,C>, OptionsModeMultiSelectInputBuilder.ValidatableItemOptionsModeMultiSelectInputBuilder<T,ITEM>, OptionsModeMultiSelectInputBuilder.ValidatablePropertyOptionsModeMultiSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ItemOptionsModeSingleSelectInputConfigurator<T,ITEM,D,C>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputBuilder<T>, OptionsModeSingleSelectInputBuilder.PropertyOptionsModeSingleSelectInputConfigurator<T,D,C>, OptionsModeSingleSelectInputBuilder.ValidatableItemOptionsModeSingleSelectInputBuilder<T,ITEM>, OptionsModeSingleSelectInputBuilder.ValidatablePropertyOptionsModeSingleSelectInputBuilder<T>, PropertyListingBuilder

      public interface HasDataProviderConfigurator<T,C extends HasDataProviderConfigurator<T,C>>
      extends HasItemsConfigurator<T,C>

  `HasDataProvider` components type configurator.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `C` | `addItem(T item)` Add given `item` to the item set which acts as in-memory items data source.
    `C` | `dataSource(com.vaadin.flow.data.provider.DataProvider<T,?> dataProvider)` Set the data provider which acts as items data source.
    `C` | `items(Iterable<T> items)` Set the items which acts as in-memory items data source.
    `C` | `items(T... items)` Set the items which acts as in-memory items data source.

- - ### Method Detail

    - #### dataSource

          C dataSource(com.vaadin.flow.data.provider.DataProvider<T,?> dataProvider)

      Set the data provider which acts as items data source.
      Parameters:
        `dataProvider` - The data provider to set (not null)
      Returns:
        this

    - #### items

          C items(Iterable<T> items)

      Set the items which acts as in-memory items data source.

      When an in-memory item set is provided, any data source configured using `dataSource(DataProvider)` will be ignored.

      Specified by:
        `items` in interface `HasItemsConfigurator<T,C extends HasDataProviderConfigurator<T,C>>`
      Parameters:
        `items` - The data items to set
      Returns:
        this

    - #### items

          C items(T... items)

      Set the items which acts as in-memory items data source.

      When an in-memory item set is provided, any data source configured using `dataSource(DataProvider)` will be ignored.

      Specified by:
        `items` in interface `HasItemsConfigurator<T,C extends HasDataProviderConfigurator<T,C>>`
      Parameters:
        `items` - The data items to set
      Returns:
        this

    - #### addItem

          C addItem(T item)

      Add given `item` to the item set which acts as in-memory items data source.

      When an in-memory item set is provided, any data source configured using `dataSource(DataProvider)` will be ignored.

      Specified by:
        `addItem` in interface `HasItemsConfigurator<T,C extends HasDataProviderConfigurator<T,C>>`
      Parameters:
        `item` - The data item to add (not null)
      Returns:
        this

Copyright © 2019 The Holon Platform. All rights reserved.